local options = {
	type = "group", 
	name = _LT.NAME.." v".._LT.VERSION, 
	args = {
		configBox = {
			type = "group", 
			order = 100, 
			guiInline = true, 
			name = "Addon Config", 
			args = {
				enabledCheckbox = {
					type = "toggle", 
					order = 1, 
					name = "Enable Addon", 
					desc = "Toggles the addon on or off.", 
					get = function()
						return _LT.SavedVars.ENABLED;
					end,
					set = function(_, value)
						_LT.SavedVars.ENABLED = value;
					end,
				}, 
				debugCheckbox = {
					type = "toggle", 
					order = 2, 
					name = "Enable Debug", 
					desc = "Using debug will show debug messages and change the way waypoints are mapped.", 
					get = function()
						return _LT.SavedVars.DEBUG;
					end,
					set = function(_, value)
						_LT.SavedVars.DEBUG = value;
					end,
				}, 
			}, 
		}, 
	}, 
};
AceConfigRegistry:RegisterOptionsTable("Lost Treasures", options);
AceConfigDialog:AddToBlizOptions("Lost Treasures", _LT.NAME);